[18.04 FEAT] Upgrade parted to use latest fdasd/vtoc code base from s390-tools

Bug #1737144 reported by bugproxy on 2017-12-08
18
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Ubuntu on IBM z Systems
High
Canonical Foundations Team
parted (Ubuntu)
Undecided
Skipper Bug Screeners

Bug Description

Upgrade the DASD partitioning code base in parted with the latest fdasd/vtoc version of the s390-tools.

bugproxy (bugproxy) on 2017-12-08
tags: added: architecture-s39064 bugnameltc-161534 severity-high targetmilestone-inin1804
Changed in ubuntu:
assignee: nobody → Skipper Bug Screeners (skipper-screen-team)
affects: ubuntu → parted (Ubuntu)

------- Comment From <email address hidden> 2017-12-08 06:31 EDT-------
Feature patches have integrated on top of parted 3.2:
4f25d54d4d2bd6ae12d56b5a97ed2b7f60f753e9
db37c8c017ebef8f241420dda071940957d4bbe5
b9e12819ecef30087753b967bebc9809120593a6
571e078406b59e8dcf02db3e8fe28d8eb4d2cef0

parted 3.2 has been released in July 2014. There is no outlook for 3.3 !

Steve Langasek (vorlon) on 2017-12-08
Changed in parted (Ubuntu):
status: New → Triaged
Changed in ubuntu-z-systems:
status: New → Triaged
importance: Undecided → High
assignee: nobody → Canonical Foundations Team (canonical-foundations)
Julian Andres Klode (juliank) wrote :

I merged these patches from the 3.3 tree, is that enough, or is there anything else to pick out of s390-tools directly?

Julian Andres Klode (juliank) wrote :
Changed in parted (Ubuntu):
status: Triaged → Fix Committed
information type: Private → Public
Changed in ubuntu-z-systems:
status: Triaged → Fix Committed
tags: added: patch
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package parted - 3.2-20

---------------
parted (3.2-20) unstable; urgency=medium

  * Amend patches added in 3.2-19 to include corresponding patches to files
    generated by "make dist".

 -- Colin Watson <email address hidden> Wed, 17 Jan 2018 01:43:32 +0000

Changed in parted (Ubuntu):
status: Fix Committed → Fix Released
Changed in ubuntu-z-systems:
status: Fix Committed → Fix Released
bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2018-01-30 10:18 EDT-------
IBM bugzilla status -> closed; parted 3.2+addl commits fullfill the requested requirement

tags: removed: bugnameltc-161534 patch severity-high
bugproxy (bugproxy) on 2018-01-30
tags: added: bugnameltc-161534 severity-high
tags: added: id-5a2b0841edd72d12917ec230
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers